Subject: Yohimbe, MAO inhibitor, antidepressant?

From: [email-masked] (Don Taylor)
Date: Sun, 1 Jan 1995 02:03:22 GMT

The page I read containing warnings on use of Yohimbe specifically 
pointed out that it was a MonoAmine-Oxidase Inhibitor.  In other words
it seems that it interferes with MonoAmine Oxidase enzymes that scavange
free neurotransmitters in the brain, Nor-Epi and Seratonin and perhaps
others.

Now this seems to be exactly the formula for an antidepressant.
But nowhere in the description did it mention anything about antidepressant
characteristics.  The description seemed to be pretty complete, giving
pre-existing health conditions that should not be using this, side effects,
varities of foods and compounds that can interact badly with this, etc.

Is it not actually an effective antidepressant?  Or is there something
else going on?

(looking for a reasonable antidepressant)

New subject:  Saw a description of Chaste Berry that hinted that it was
no longer thought of as something to reduce male libido.  Is this true?

thanks